%define major 1
%define libname %mklibname %{name} %{major}

Name:		sane-airscan
Version:	0.99.27
Release:	%mkrel 1
Summary:	Tools for the SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions
Group:		Graphics/Scanning
URL:		https://github.com/alexpevzner/sane-airscan
Source:		%{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(avahi-core)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

Requires:	%{libname} = %{version}-%{release}

%description
This package contains a tool for discovering MultiFunctionPrinters (MFP) 
or document scanners that implements either eSCL (AirScan/AirPrint scanning) 
or WSD "driverless" scanning protocol.

%files
%license LICENSE COPYING
%{_bindir}/airscan-discover
%{_mandir}/man1/airscan-discover.1.*

%package -n %{libname}
Summary:	SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions

Requires:	sane-backends

%description -n %{libname}
This package contains a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol

%files -n %{libname}
%doc README.md
%license LICENSE COPYING
%{_libdir}/sane/libsane-airscan.so.1
%config(noreplace)  %{_sysconfdir}/sane.d/airscan.conf
%config %{_sysconfdir}/sane.d/dll.d/airscan
%{_mandir}/man5/sane-airscan.5.*

%prep
%setup -q -n sane-airscan-%{version}

%build
%make_build

%install
%make_install STRIP=''


%changelog
* Thu Sep 22 2022 julien <julien> 0.99.27-1.mga8
+ Revision: 1891696
- drop noreplace

* Sat Sep 10 2022 julien <julien> 0.99.27-1.mga9
+ Revision: 1886471
- add correct Group
- imported package sane-airscan

